# Uses of Interface
org.opensaml.soap.wsaddressing.ReferenceParameters

Packages that use ReferenceParameters
Package
Description
org.opensaml.soap.wsaddressing
XMLObject interfaces for WS-Addressing 1.0 elements.
org.opensaml.soap.wsaddressing.impl
XML Object provider implementations for WS-Addressing.

## Uses of ReferenceParameters in org.opensaml.soap.wsaddressing

Methods in org.opensaml.soap.wsaddressing that return ReferenceParameters
Modifier and Type
Method
Description
`ReferenceParameters`
EndpointReferenceType.`getReferenceParameters()`
Returns the optional <wsa:ReferenceParameters> child element.
Methods in org.opensaml.soap.wsaddressing with parameters of type ReferenceParameters
Modifier and Type
Method
Description
`void`
EndpointReferenceType.`setReferenceParameters(ReferenceParameters referenceParameters)`
Sets the <wsa:ReferenceParameters> child element.

## Uses of ReferenceParameters in org.opensaml.soap.wsaddressing.impl

Classes in org.opensaml.soap.wsaddressing.impl that implement ReferenceParameters
Modifier and Type
Class
Description
`class`
`ReferenceParametersImpl`
ReferenceParametersImpl.
Fields in org.opensaml.soap.wsaddressing.impl declared as ReferenceParameters
Modifier and Type
Field
Description
`private ReferenceParameters`
EndpointReferenceTypeImpl.`referenceParameters`
Optional `ReferenceParameters` child element.
Methods in org.opensaml.soap.wsaddressing.impl that return ReferenceParameters
Modifier and Type
Method
Description
`ReferenceParameters`
ReferenceParametersBuilder.`buildObject()`
Builds a WS-Addressing object.
`ReferenceParameters`
ReferenceParametersBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`ReferenceParameters`
EndpointReferenceTypeImpl.`getReferenceParameters()`
Returns the optional <wsa:ReferenceParameters> child element.
Methods in org.opensaml.soap.wsaddressing.impl with parameters of type ReferenceParameters
Modifier and Type
Method
Description
`void`
EndpointReferenceTypeImpl.`setReferenceParameters(ReferenceParameters newReferenceParameters)`
Sets the <wsa:ReferenceParameters> child element.